play.classloading.enhancers

## Class LocalvariablesNamesEnhancer

- java.lang.Object
- - play.classloading.enhancers.Enhancer
  - - play.classloading.enhancers.LocalvariablesNamesEnhancer

Direct Known Subclasses:
  LocalvariablesNamesEnhancerJava7

    public class LocalvariablesNamesEnhancer
    extends Enhancer

Track names of local variables ...

### Nested Class Summary

Nested Classes
`static class` `LocalvariablesNamesEnhancer.LocalVariablesNamesTracer` Runtime part.
`static interface` `LocalvariablesNamesEnhancer.LocalVariablesSupport` Mark class that need local variables tracking

### Nested classes/interfaces inherited from class play.classloading.enhancers.Enhancer

`Enhancer.ApplicationClassesClasspath`

### Field Summary

### Fields inherited from class play.classloading.enhancers.Enhancer

`classPool`

### Constructor Summary

Constructors
Constructor and Description
`LocalvariablesNamesEnhancer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)` The magic happen here...
`static void` `printOp(int op)` Debug utility.

### Methods inherited from class play.classloading.enhancers.Enhancer

`createAnnotation, createAnnotation, getAnnotations, getAnnotations, getAnnotations, hasAnnotation, hasAnnotation, hasAnnotation, makeClass, newClassPool`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalvariablesNamesEnhancer

    public LocalvariablesNamesEnhancer()

### Method Detail

#### enhanceThisClass

    public void enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)
                          throws java.lang.Exception

Description copied from class: `Enhancer`
The magic happen here...

Specified by:
  `enhanceThisClass` in class `Enhancer`
Parameters:
  `applicationClass` - The application class to construct
Throws:
  `java.lang.Exception` - if problem occurred during construction

#### printOp

    public static void printOp(int op)

Debug utility. Display a byte code op as plain text.

Parameters:
  `op` - The given byte code